<template>
  <div :class="myclasses">
    <v-container>
        <v-row justify="space-between" class="d-flex flex-nowrap">
            <v-col-8  class="navigation-card__left-column">
                <p class="navigation-card__title">{{ title }}</p>
                <p class="navigation-card__subtitle">{{ subtitle }}</p>
            </v-col-8>

            <v-col-4 class="navigation-card__right-column d-flex align-end">
                <v-btn class="navigation-card__button" icon="mdi-chevron-right" size="small"></v-btn>
            </v-col-4>
        </v-row>
    </v-container>
  </div>
</template>

<script lang="ts">
export default {
  name: 'NavigationCard',
  props: {
    title: {
      type: String,
      default: 'Title',
      required: true,
    },
    subtitle: {
      type: String,
      default: 'Subtitle',
      required: true,
    },
    NavToGroup: {
      type: Boolean,
      default: false,
    },
    ChannelNav: {
      type: Boolean,
      default: false,
    },
  },
  computed: {
    myclasses() {
        return [
            [this.NavToGroup ? 'navigation-card__navToGroup' : ''],
            [this.ChannelNav ? 'navigation-card__channelNav' : ''],
            'default'
        ]
    }
  },
};
</script>
<style scoped lang="scss">
@import url('https://fonts.googleapis.com/css2?family=Lexend:wght@700&family=Roboto:wght@300;500&display=swap');

.default {
  border-radius: 16px;
  color: #112E45;
  text-align: left;
  width: 524px;
  height: 136px;
  border: 3px solid #112E45;
}

.navigation-card {
  &__left-column {
    padding: 24px;
  }

  &__title {
    font-family: "Roboto";
    font-size: 24px;
    font-weight:500;
  }

  &__subtitle {
    font-family: "Roboto";
    font-size: 20px;
  }

  &__button {
    margin: 0 8px 8px 0;
    background-color: #112E45;
    font-size: 20px;
    color: #fff
  }

  &__navToGroup {
    height: auto;


    .navigation-card__title {
        font-size: 32px;
        margin-bottom: 5px;
        width:50%;
    }

        .navigation-card__subtitle {
        font-size: 16px;
        width:75%;
    }

    .navigation-card__left-column {
        padding: 56px 0 88px 40px;
    }

    .navigation-card__button {
        margin: 0 16px 16px 0;
    }
  }


  &__channelNav {
    height: 339px;
    width: 289px;


    .navigation-card__title {
        font-size: 20px;
        margin-bottom: 5px;
        width:90%;
    }

        .navigation-card__subtitle {
        padding-top:16px;
        padding-bottom: 8px;
        font-size: 14px;
        width:96%;
    }

    .navigation-card__left-column {
        padding: 24px 0 64px 32px;
    }

    .navigation-card__button {
        // margin: 20px 16px 16px 0;
        
    }
  }
  
}

</style>